ad_page_contract {
    Allow user to create a test suite.
	- creates an entry in the selenium_testsuite table
	- creates an empty directory
}

set title "Create a Test Suite"

ad_form -name "create_suite_form" -cancel_url "/selenium/" -form {
	{name:text
		{label "Test Suite Name"}
		{help_text "Please enter a name for the testsuite. <br><b>Avoid spaces and special characters.</b> <br>The name is used to create a directory in the file system to hold the selenium tests."}}
	{pretty_name:text,optional
		{label "Pretty Name"}
		{help_text "Enter a pretty name for this test suite. " }}
} -on_submit {
	set id [selenium::create_blank -suite_name $name -pretty_name $pretty_name]
	if { $id == 0 } {
		ad_return_complaint "1" "There was a problem creating the test suite."
		ad_script_abort
	} else {
		ad_returnredirect "edit-suite?id=${id}"
		ad_script_abort
	}
}